use crate::global_tables::names::GNAMES;

#[repr(C)]
#[derive(Debug, Eq, PartialEq, Clone, Copy, Hash)]
pub struct FName {
    pub comparison_index: u32,
    pub number: u32,
}

impl FName {
    pub fn get_name(&self) -> anyhow::Result<String> {
        GNAMES
            .read()
            .unwrap()
            .as_names()
            .unwrap()
            .fname_to_string(self)
    }
}
